# Changelog
Le format du fichier est basé sur [Tenez un ChangeLog](https://keepachangelog.com/fr/1.0.0/).

## [Non Distribué]

## [14.0.5] - 27-05-2024
- Correction compatibilité acces des fichiers en multi-entités

## [14.0.4] - 24-05-2024
- Mise en place CI

## [14.0.3] - 24-05-2024
- Changement de logo et page support.

## [14.0.2] - 26-02-2024
- Ajout du lien vers la documentation dans le readme

## [14.0.1] - 23-02-2024
- Changement de numérotation

## [7.0.57] - 15-02-2024
- Incompatibilité versions inférieures v14 - Suppression de la fonction de suivi des factures non transmises - Erreur SQL Core
- Ajout des statuts de facture inhérent aux envois de type A12 (Valideur Chorus) : (https://communaute.chorus-pro.gouv.fr/wp-content/uploads/2017/08/AIFE-Chorus-Pro-Valider-Refuser-une-facture.pdf)
  - A valider 1
  - Validée 1
  - Refusée 1
  - Erreur fournisseur sur valideur
  - Absence validation 1 hors délai

## [7.0.56] - 17-11-2023
- Correction compatibilité V13

## [7.0.55] - 08-11-2023
- Correction de la propagation des "N° d'engagement" et "N° de marché" s'ils sont renseignés depuis l'élément d'origine (y compris un projet) 
- Lors d'un re-dépôt Chorus d'une facture ayant été rejetée, un nouvel ID est créé mais le statut chorus reste sur l'ancien ID de la facture rejetée. Nécessité de vider les informations de l'ancienne facture sur les champs supplémentaires du module pour y sauvegarder les nouvelles informations de re-dépôt pour assurer le suivi. 

## [7.0.54] - 08-11-2023
- Déplacer le champ supplémentaire "Message d'erreur chorus" dans le bloc Chorus plutôt que dans celui de Debug chorus afin que le client ait la connaissance d'une éventuelle erreur pour qu'il puisse la corriger et procéder au re-dépôt de la facture 

## [7.0.53] - 07-11-2023
- Correction de constantes non affichées dans le panneau d'administration

## [7.0.52] - 06-11-2023
- Correction Ne pas inclure le validateur si c'est un mode de facturation A1, A2, A3 ou A8
- Ajout d'informations dans les demandes de support : Nom module + version PHP
- Compatibilité PHP8.2

## [7.0.51] - 04-10-2023
- Correction affichage onglet dans l'administration du module
- Possibilité de désactiver l'affichage du bloc Chorus dans le tableau de bord (constante DEMAT4DOLIBARR_DISABLE_DASHBOARD)

## [7.0.50] - 21-09-2023
- Changement de marque OpenDsi > Easya Solutions
- Possibilité d'envoyer une demande de support depuis l'onglet "À propos / Support" avec les informations de base qui vous sont normalement demandées.
- Correction affichage onglet dans l'administration du module
- UX - Restructuration de la page d'administration du module 

## [7.0.49] - 28-04-2023
- Ajout d'une option maintenance pour désactiver le bouton d'envoi

## [7.0.48] - 05-04-2023
- Remise à zéro des champs concernant le status d'envoi de la facture sur Chorus lors d'une création de facture
- Affichage du bouton d'envoi de la facture vers Chorus pour le cas d'une facture d'avoir payé
- Change le texte du bouton "Envoi Chorus" en "Re-déposer Chorus" si l'on renvoie la facture

## [7.0.47] - 02-03-2023
- Mise à jour de Guzzlehttps

## [7.0.46] - 07-02-2023
- Correction erreur php 500 (function _purgeExpiredFile())

## [7.0.45] - 18-01-2023
- Correction de la tache cron (retours de la fonction)

## [7.0.44] - 04-01-2023
- Correction de l'envoi des fichiers attachés au document principal

## [7.0.43] - 04-01-2023
- Ajout de la possibilité de sélectionner des fichiers attachés au document principal

## [7.0.42] - 08-09-2022
- Ajout d'un dashboard pour les factures non transmises à Chorus
- Ajout d'une ligne des factures non transmises dans le Widget "Factures Chorus"
- Ajout d'une date de prise en compte des factures non transmises via Chorus

## [7.0.41] - 17-08-2022
- Compatibilité v15 - v16 (Token CRSF)
- Amélioration affichage option administration

## [7.0.40] - 30-05-2022
- Correction de la recuperation du quota en multi-entité

## [7.0.39] - 19-05-2022
- Gestion du multi-entités dans la tâche cron, exclusion des factures réglées pour la vérification des statuts

## [7.0.38] - 11-01-2022
- Compatibilité v14 (Trigger - Problème de class CommandeFournisseur)

## [7.0.37] - 20-12-2021
- Compatibilité v14 (Widget)

## [7.0.36] - 06-07-2021
- Corrections mineures sur les séparateurs de champs complémentaires

## [7.0.35] - 07-05-2021
- Correction de la gestion des tokens en multi entité

## [7.0.34] - 18-03-2021
- Ne supprime plus les informations du workflow EDEDOC si un workflow a ete deninit lors de la mise à jour du statut avec l'identifiant de la facture.
- Copie le champ "Transmission Facture le" dans le champ "Transmission EDEDOC le" la ou il a été éffacé.

## [7.0.33] - 07-01-2021
- Correction de la suppression des données de transmissions sur la facture clonée venant d'une facture transmisse à chorus.

## [7.0.32] - 06-01-2021
- Correction du collapse des extrafields de type séparateur.

## [7.0.31] - 13-10-2020
- Correction du widget

## [7.0.30] - 10-10-2020
- Correction instruction group by
- Correction de la methode de mise a jour du status de la facture chorus (rajout de l'id de la facture et de la date d'emission de la facture)

## [7.0.29] - 26-06-2020
- Légère correction lors de l'insertion des valeurs par défaut des dictionnaires.

## [7.0.28] - 22-06-2020
- Prise en compte de la nouvelle génération de clé par le module partner.

## [7.0.27] - 10-06-2020
- Correction pour l'envoi de facture d'acompte.

## [7.0.26] - 03-06-2020
- Suppression des données de transmissions sur la facture clonée venant d'une facture transmisse à chorus.

## [7.0.25] - 16-04-2020
- Correction du chargement de l'objet pour l'element de type invoice.

## [7.0.24] - 28-02-2020
- Bloque l'envoi vers chorus si le double du quota est dépassé.

## [7.0.23] - 20-01-2020
- Fix la possibilité d'envoyer les avoirs lorsque l'avoir est validé et non plus lorsqu'il est cloturé (Convertir en réduction future).

## [7.0.22] - 13-01-2020
- Fix "include vendor/autoload.php" avec d'autres modules.
- Correction de la methode d'accès a l'API.

## [7.0.21] - 20-12-2019
- Fix dictionnaire des modes de paiements, le champ 'Mode de paiement \[CHORUS\]' n'est plus obligatoirement unique.

## [7.0.20] - 26-11-2019
- Fix requête d'initialisation des valeurs des dictionnaires.

## [7.0.19] - 08-11-2019
- Fix message d'erreur si une exception se produit et que l'api n'a pas encore initialisé l'objet de réponse.

## [7.0.18] - 06-11-2019
- Correction du forcage de la génération du document PDF lors de la demande d'envoi vers chorus.

## [7.0.17] - 28-10-2019
- Ajout de l'option pour forcer la génération du document PDF lors de la demande d'envoi vers chorus.

## [7.0.16] - 25-10-2019
- Correction de la requête SQL lors de rafraichissement des status chorus grace au cron.
- Génération du document PDF s'il n'existe pas lors de la demande d'envoi vers chorus.
- Pas d'affichage de la selection du document a envoyé s'il n'y en a qu'un lors de la demande d'envoi vers chorus.
- Ajout dans le paramétrage du module pour activer/désactiver les deux options précédentes.

## [7.0.15] - 14-10-2019
- Correction de la visibilité des champs supplémentaires de type 'séparateur' sur les contacts.

## [7.0.14] - 08-10-2019
- Correction mineure.

## [7.0.13] - 04-10-2019
- Correction du calcul du nombre de requêtes envoyées vers EDEDOC pour le mois en cours.

## [7.0.12] - 02-10-2019
- Correction du lien de téléchargement de AdvanceDictionaries.

## [7.0.11] - 27-09-2019
- Ajout des libellés court sur les statuts.
- Afficher le bloc technique que si le mode DEBUG est activé.
- Ajout d'un droit pour afficher le widget.
- Affiche tous les statuts possibles du wokflow dans le widget.
- N'affiche que les factures impayées dans le widget.
- Ajout d'un champ complémentaire sur le tiers 'Factures envoyé sur Chorus'.
- Ajout d'une action en masse sur la liste des tiers pour activer l'envoi vers Chorus des factures.
- Ajout d'un bouton sur la facture pour activer l'envoi vers Chorus si l'option n'est pas activé sur le tiers.
- Ajout d'un champ complémentaire sur la facture 'Identifiant Chorus de la facture' dans le bloc technique.

## [7.0.10] - 23-09-2019
- Correction affichage des erreurs de l'API en mode non Debug.

## [7.0.9] - 06-09-2019
- Correction des tailles des codes des dictionnaires des correspondances statuts chorus.

## [7.0.8] - 05-09-2019
- Correction des valeurs ajouter par défaut dans le dictionnaire des statuts des factures.
- Correction du test pour la permission de l'envoi de la facture vers Chorus.
- Correction de l'enregistrement des dates récupérées depuis EdeDoc.
- Correction de la fonction cron de mise a jour des statuts.

## [7.0.7] - 01-08-2019
- Ajout du paramètre 'Processus terminé' dans le dictionnaire des statuts de la facture sur Chorus.
- Correction du test pour la permission de l'envoi de la facture vers Chorus.
- Correction pour l'envoi/MAJ du status dans les actions en masse sur la liste des factures.
- Ajout d'une option de paramétrage dans le module pour déterminer le "Mode de facturation" par défaut.

## [7.0.6] - 31-07-2019
- Correction du chargement du cache des statuts lors de la mise à jour du statut Chorus d'une facture.
- Correction du fichier de langues.

## [7.0.5] - 24-07-2019
- Ajout des attributs supplémentaires "N° d'engagement" et "N° de marché" sur les fiches Commandes, Contrats, Expédition, Modèles de facture, Interventions, Projets, Propositions commerciales et Demandes (RequestManager).
- Ajout type de contact "Contact service [CHORUS]" et "Contact valideur [CHORUS]" sur les fiches Commandes, Contrats, Expédition, Modèles de facture, Interventions, Projets, Propositions commerciales et Demandes (RequestManager).
- Ajout du nombre de factures pour chaque statut Chorus (avec lien vers liste filtrée) dans le Widget "Factures Chorus"
- Envoi en masse des factures vers Chorus depuis la liste des factures.

## [7.0.4] - 18-07-2019
- Corrections des attributs supplémentaires pour l'affichage en lecture seule.
- Ajout du statut de la facture sur chorus.
- Ajout des statuts par défauts dans les dictionnaires.

## [7.0.3] - 17-07-2019
- Modification des attributs supplémentaires des status sur la facture en 'liste issue des dictionnaires'.

## [7.0.2] - 16-07-2019
- Ajout de la position dans les dictionnaires des statuts.
- Ajout d'un widget affichant la liste de la somme des factures par statut chorus (+ option pour n'afficher que les status possédant des factures).
- Ajout d'une action de masse pour la mise à jour des statuts chorus sur la liste des factures
- Ajout d'un cron pour la mise à jour de tous les statuts chorus des factures
- Mise à jour des attributs complémentaires de la facture liée à Chorus (en lecture seule - patch core opendsi)

## [7.0.1] - 15-07-2019
- Affichage détaillé des informations du statut de l'envoi.
- Ajout des correspondances des statuts EDEDOC et CHORUS et ne renvoi pas une facture tant que le workflow n'est pas finit.

## [7.0.0] - 15-07-2019
- Version initial.

[Non Distribué]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.5...HEAD
[14.0.5]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.5
[14.0.4]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.4
[14.0.3]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.3
[14.0.2]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.2
[14.0.1]: httpss://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/compare/14.0.1
[7.0.57]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.57
[7.0.56]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.56
[7.0.55]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.55
[7.0.54]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.54
[7.0.53]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.53
[7.0.52]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.52
[7.0.51]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.51
[7.0.50]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.50
[7.0.49]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.49
[7.0.48]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.48
[7.0.47]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.47
[7.0.46]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.46
[7.0.45]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.45
[7.0.44]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.44
[7.0.43]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.43
[7.0.42]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.42
[7.0.41]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.41
[7.0.40]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.40
[7.0.39]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.39
[7.0.38]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.38
[7.0.37]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.37
[7.0.36]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.36
[7.0.35]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.35
[7.0.34]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.34
[7.0.33]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.33
[7.0.32]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.32
[7.0.31]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.31
[7.0.30]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.30
[7.0.29]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.29
[7.0.28]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.28
[7.0.27]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.27
[7.0.26]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.26
[7.0.25]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.25
[7.0.24]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.24
[7.0.23]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.23
[7.0.22]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.22
[7.0.21]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.21
[7.0.20]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.20
[7.0.19]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.19
[7.0.18]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.18
[7.0.17]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.17
[7.0.16]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.16
[7.0.15]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.15
[7.0.14]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.14
[7.0.13]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.13
[7.0.12]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.12
[7.0.11]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.11
[7.0.10]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.10
[7.0.9]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.9
[7.0.8]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.8
[7.0.7]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.7
[7.0.6]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.6
[7.0.5]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.5
[7.0.4]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.4
[7.0.3]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.3
[7.0.2]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.2
[7.0.1]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.1
[7.0.0]: https://git.open-dsi.fr/dolibarr-extension/demat4dolibarr/commits/v7.0.0
